Package ghidra.app.plugin.processors.sleigh.symbol

# Class SubtableSymbol

java.lang.Object
ghidra.app.plugin.processors.sleigh.symbol.Symbol
ghidra.app.plugin.processors.sleigh.symbol.TripleSymbol
ghidra.app.plugin.processors.sleigh.symbol.SubtableSymbol

public class SubtableSymbol extends TripleSymbol
A collection of Constructors or a Symbol representing one out of a family of Constructors, chosen based on InstructionContext

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubtableSymbol()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `decode(Decoder decoder, SleighLanguage sleigh)`
  `Constructor`
  `getConstructor(int i)`
  `DecisionNode`
  `getDecisionNode()`
  `void`
  `getFixedHandle(FixedHandle hand, ParserWalker walker)`
  `int`
  `getNumConstructors()`
  `PatternExpression`
  `getPatternExpression()`
  `String`
  `print(ParserWalker walker)`
  `void`
  `printList(ParserWalker walker, ArrayList<Object> list)`
  `Constructor`
  `resolve(ParserWalker walker, SleighDebugLogger debug)`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.symbol.Symbol

  `decodeHeader, getId, getName, getScopeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubtableSymbol

    public SubtableSymbol()

- ## Method Details

  - ### getDecisionNode

    public DecisionNode getDecisionNode()

  - ### resolve

    public Constructor resolve(ParserWalker walker, SleighDebugLogger debug) throws MemoryAccessException, UnknownInstructionException
    Overrides:
      `resolve` in class `TripleSymbol`
    Throws:
      `MemoryAccessException`
      `UnknownInstructionException`

  - ### getNumConstructors

    public int getNumConstructors()

  - ### getConstructor

    public Constructor getConstructor(int i)

  - ### getPatternExpression

    public PatternExpression getPatternExpression()
    Specified by:
      `getPatternExpression` in class `TripleSymbol`

  - ### getFixedHandle

    public void getFixedHandle(FixedHandle hand, ParserWalker walker)
    Specified by:
      `getFixedHandle` in class `TripleSymbol`

  - ### print

    public String print(ParserWalker walker) throws MemoryAccessException
    Specified by:
      `print` in class `TripleSymbol`
    Throws:
      `MemoryAccessException`

  - ### printList

    public void printList(ParserWalker walker, ArrayList<Object> list)
    Specified by:
      `printList` in class `TripleSymbol`

  - ### decode

    public void decode(Decoder decoder, SleighLanguage sleigh) throws DecoderException
    Specified by:
      `decode` in class `Symbol`
    Throws:
      `DecoderException`